# ai_engine.hpp File Reference

Everything to query and build engines. More...

`#include "ai_object.hpp"`
`#include "ai_vehicle.hpp"`
`#include "ai_road.hpp"`
`#include "ai_rail.hpp"`
`#include "ai_airport.hpp"`

Go to the source code of this file.

## Data Structures
class | AIEngine
| Class that handles all engine related functions. More...

## Detailed Description

Everything to query and build engines.

Definition in file ai_engine.hpp.